Subject: RE: Weird behavior when using "-I" with gcc-2.95.2
From: Fontenot Larry A DLVA <[email-masked]>
To: "'Mumit Khan'" <[email-masked]>, Fontenot Larry A DLVA <[email-masked]>
Cc: "[email-masked]'" <[email-masked]>
Date: Tue, 25 Apr 2000 16:29:59 -0400

Attached is the requested bug.txt.  It looks as though the default search
paths are still valid.  And everything works just fine until I add a "-I
anypath".  The only way to get the compiler to work properly at that point
is to provide both "-I /usr/i686-pc-cygwin" and "-I /usr/include/g++-3".

 <<bug.txt>> 

	-----Original Message-----
	From:	Mumit Khan [SMTP:[email-masked]]
	Sent:	Tuesday, April 25, 2000 3:38 PM
	To:	Fontenot Larry A DLVA
	Cc:	[email-masked]'
	Subject:	Re: Weird behavior when using "-I" with gcc-2.95.2 

	Fontenot Larry A DLVA <[email-masked]> writes:
	> 
	> Well, the only solution I could come up with was to compile with
the
	> following:
	> 	g++ -I /usr/i686-pc-cygwin/include -I./ -c hello.cpp
	> 
	> I have since moved the contents of /usr/i686-pc-cygwin/bin,
	> /usr/i686-pc-cygwin/include, and /usr/i686-pc-cygwin/lib to
/usr/bin,
	> /usr/include, and /usr/lib, respectively.  I thought that might
help, but I
	> still need to compile with the following:
	> 	g++ -I /usr/include -I./ -c hello.cpp
	> 
	> I even tried reinstalling the entire cygwin set with the
newsetup.exe.  No
	> difference.

	This is very odd indeed, and I wonder why gcc/cpp is producing the 
	`invalid argument' error!

	Please provide a bit more info on your platform:
	  
	  $ echo "g++ -I./ -c hello.cpp" > bug.txt
	  $ g++ -I./ -c -v -H hello.cpp >> bug.txt 2>&1
	  $ cygcheck -s -r >> bug.txt 2>&1

	and post the resulting bug.txt file.

	Regards,
	Mumit
--
Want to unsubscribe from this list?
Send a message to [email-masked]